# frozen_string_literal: true

=begin ========================================================================
= Copyright (c) AgiliCity d.o.o. 2025. All Rights Reserved.                   =
=                                                                             =
= By using this software, you agree to respect Terms and Conditions, End User =
= License Agreement and other related documents that can be found on our      =
= website (https://modelur.com/legal/).                                       =
=                                                                             =
= Make sure this file is not encoded by Ruby Encoder:                         =
= RubyEncoder:DO_NOT_ENCODE                                                   =
=end ==========================================================================

require 'sketchup'
require 'extensions'

module Modelur
  MODELUR_VERSION_EXTERNAL = '2025.02.21'
  MODELUR_EXPIRATION = 1771110000
  MIN_SU_VERSION = 19
  MAX_SU_VERSION = 25
  SU_VERSION_NUMBER = Sketchup.version_number
  SU_VERSION_2K = Sketchup.version.to_i + 2000

  EXTENSION_NAME = 'Modelur'
  SU_EXTENSION = SketchupExtension.new(EXTENSION_NAME, File.join('Modelur', 'bootstrap'))
  SU_EXTENSION.creator = 'AgiliCity'
  SU_EXTENSION.copyright = '© AgiliCity d.o.o. 2025. All Rights Reserved.'
  expiration_string = Time.at(MODELUR_EXPIRATION - 86400).strftime('%A, %b %d %Y')
  SU_EXTENSION.version = "#{MODELUR_VERSION_EXTERNAL}, valid until #{expiration_string}."
  SU_EXTENSION.description = 'Modelur is SketchUp Extension for parametric urban design. For more information,
 please visit https://modelur.com.'
  Sketchup.register_extension(SU_EXTENSION, true)
end
