# frozen_string_literal: true

=begin ========================================================================
= Copyright (c) AgiliCity d.o.o. 2025. All Rights Reserved.                   =
=                                                                             =
= By using this software, you agree to respect Terms and Conditions, End User =
= License Agreement and other related documents that can be found on our      =
= website (https://modelur.com/legal/).                                       =
=                                                                             =
= Make sure this file is not encoded by Ruby Encoder:                         =
= RubyEncoder:DO_NOT_ENCODE                                                   =
=end ==========================================================================

module Modelur
  ERROR_001 = 'Variable could not be verified. Error code #01'
  ERROR_002 = 'Modelur installation has been compromised. Please reinstall Modelur. Error code #02'
  ERROR_003 = 'Preparing JSON data failed. Error code #03'
  ERROR_004 = 'Specified path "%<path>s" does not exist. Error code #04'
  ERROR_005 = 'Duplication of %<klass>s is not allowed. Error code #05'
  ERROR_006 = 'Modelur %<version>s expired on %<date>s. Please upgrade Modelur to the latest release. Error code #06'
  ERROR_007 = 'Initialization of %<klass>s has failed. Error code #07'
  ERROR_008 = 'License could not be saved. Please contact us at support@modelur.com. Error code #08'
  ERROR_009 = 'Preparing JSON data failed. Error code #09'
  ERROR_010 = 'Calculation failed. Error code #10'
  ERROR_011 = 'Status could not be verified. Error code #11'
  ERROR_012 = 'Modelur Classes have been compromised. Error code #12'
  ERROR_013 = 'Modelur encountered an error when trying to update your expired license. Please contact us at support@modelur.com. Error code #13'
  ERROR_014 = 'Invalid response status code: %<status_code>s. Error code #14'
  ERROR_015 = 'Modelur detected your system time settings changed. Please ensure your system time is not changing during Modelur session, and then initialize Modelur again. Error code #15'
  ERROR_016 = 'Invalid arguments detected. Error code #16'
  ERROR_017 = 'Feature not allowed according to license plan. Error code #17'
  ERROR_018 = 'Problem with determining Modelur mode. Error code #18'
  ERROR_019 = 'Error determining settings path. Please contact us at support@modelur.com. Error code #19'
  ERROR_020 = 'Unexpected method aliasing detected. Error code #20'
  ERROR_021 = 'Monkey patching detected. Error code #21'
  ERROR_022 = 'Windows-only functionality can not be run on MacOS. Error code #22'

  ERR_INCOMPATIBLE_SU_VERSION = 'incompatible_su_version'
  ERR_SOLIDIFY_ERRORS = [ERROR_012, ERROR_020, ERROR_021].freeze
  ERR_CODE = 'err_code'
  ERR_LICENSE_EXPIRED = 'er_license_expired'
  ERR_MODELUR_EXPIRED = 'er_modelurHasExpired'
  ERR_OUTSIDE_NETWORK = 'er_outside_licensed_network'
  ERR_SEAT_LIMIT_REACHED = 'er_seat_limit_reached'
  ERR_UNABLE_TO_REFRESH_SEAT_RESERVATION = 'er_unable_to_refresh_seat_reservation'
  ERR_SUPER_QUOTA_REACHED = 'er_super_quota_reached'
  ERR_RESERVATION_NOT_ALLOWED = 'er_reservation_not_allowed_by_license'
  ERR_UNKNOWN_ERROR = 'i18n_unknown_error'
end
